@font-face {
  font-family: "Nintendo DS BIOS"; /* Name you'll use in other CSS rules */
  src: url("Orange-Kid.woff") format("woff"),
       url("Orange Kid.otf") format("opentype");
  font-weight: 400; /* Normal weight */
  font-style: normal;
  font-display: swap; /* Tells the browser how to handle the font while loading */
}

body, html {
	padding: 0;
	margin: 0;
	background: black;
	color: white;
	cursor: url(Wii-Cursor.png), default;
	font-family: 'Nintendo DS BIOS', sans-serif;
	font-size: 20px;
}

img {
	max-width: 100%;
}

.page {
	padding: 24px;
	background-color: black;
}

.page h1:first-child {
	margin-top: 0;
}

.header-image {
	height: 175px;
	margin: 20px auto;
	display: block;
	image-rendering: 'pixelated';
}

.wrapper {
	margin: auto;
	margin-top: 24px;
	width: 753px;
}

.menu {
	text-align: center;
	margin-bottom: 24px;
	margin-top: 24px;
}

.menu a {
	color: skyblue;
}

.main {
	height: 480px;
	width: 753px;
	background-image: url('img/bg.jpg');
	position: relative;
	cursor: url(Wii-Cursor.png), default;
}

.main iframe {
	border: none;
	border: none;
	position: absolute;
	top: 35px;
	left: 7px;
	width: 739px;
	height: 600px;
	cursor: url(Wii-Cursor.png), default;
}

h1, h2, h3, h4, h5 {
	font-size: 22px;
}

h1 {
	border-bottom: 1px solid skyblue;
}

h2 {
	border-bottom: 1px dotted skyblue;
}

a {
	color: skyblue;
	cursor: url(wii-help-ccw.png), default;
}

.catpage {
  display: grid;
  grid-template-columns: auto minmax(0,1fr) auto;
  align-items: start;
  gap: 12px;
  max-width: 900px;
}

.catimg {
  image-rendering: pixelated;
  padding: 0px 10px 0px 0px;
}

.catinfo {
  text-align: left;
  word-wrap:break-word;
}

.refimg {
  max-width: 200px;
  height: auto;
}

.gender {
  padding-left: 5px;
  vertical-align: middle;
}

.points {
  margin-top: 6px;
  text-align: center;
}

.pointsnonblox {
  margin-top: 6px;
  text-align: left;
}

.sire {
  color: lightblue;
  font-weight: bold;
}

.dam {
  color: lightpink;
  font-weight: bold;
}

.psc {
  font-size: 0.8rem;
  color: darkgray;
}

.ribbon {
  height: 42px; /* or whatever size */
  margin: 0 4px 4px;
  vertical-align: middle;
}

.poseribbon {
  height: 30px;
  vertical-align: middle;
  margin: 0 0 4px;
}

table {
	border-collapse: collapse;
}

.width-50 {
	max-width: 50%;
}

.border {
	padding: 3px;
	border: 1px solid skyblue;
}

table.border-0 th, table.border-0 td {
    border: 0;
}

.border-0 {
    border: none;
}

/* In your style.css */
.center {
  text-align: center;
}

.corner-image {
  position: fixed; /* Stays in place when scrolling */
  bottom: 0px;
  right: 20px;      /* 20px from the right edge */
  width: auto;    /* Set your desired size */
  height: auto;
  z-index: 100;    /* Optional: Ensures it's on top of other content */
}

/* Preloader */
#preloader {
  background: black
    url("loadingwheel.gif")
    no-repeat center;
  align-items: center;
  justify-content: center;
  width: 100%;
  display: flex;
  position: fixed;
  height: 100vh;
  left: 0;
  top: 0;
  z-index: 9999;
}

.centerimage {
  display: block; /* Makes it a block-level element */
  margin-left: auto; /* Centers horizontally */
  margin-right: auto; /* Centers horizontally */
  /* width: 50%; */ /* Optional: set a width */
}

.chatimg {
  display: block; /* Makes it a block-level element */
  margin-left: auto; /* Centers horizontally */
  margin-right: auto; /* Centers horizontally */
  image-rendering: 'pixelated';
}